Unofficial LMDE KDE Live DVD: UP4 / 201208

Chat about Linux in general
Locked
Schoelje
Level 5
Level 5
Posts: 784
Joined: Wed Jan 18, 2012 6:25 am
Location: Netherlands
Contact:

Re: Unofficial LMDE KDE Live DVD: UP4 / 201208

Post by Schoelje »

I have tried your bash script (on mine ati 6800 serie), after reboot not yet any problem .
Did you already have the drivers installed or was it a clean install?
Only one point , when i use to install the proprietary driver i had also the possibility of logging in under administrator.
Now i have log in on a terminal as root and make there the adjustments on the display manager.
Could you explain to me, step-by-step, what you have to do to install the drivers for your card (including the commands you have to run after my script)?
slashw
Level 1
Level 1
Posts: 6
Joined: Fri May 07, 2010 7:58 am

Re: Unofficial LMDE KDE Live DVD: UP4 / 201208

Post by slashw »

It was a clean install.

after running your script i only got once the advice to do sudo aticonfig --initial , done that, and that's it , nothing more and it works.
After restart you get in your program starter menu under (instellingen) Ati Catalyst Control Center.

But if i do a install of the ati driver follow these instructions http://www2.ati.com/drivers/linux/installernotes.html ,then i getting a extra programstarter under (instellingen) Ati Catalyst Control Center (as root).
Then you can chance your display settings (as root).

This is not possible if you are a normal user.

What i now have done is run under root amdcccle , then you running the control center as root.
Schoelje
Level 5
Level 5
Posts: 784
Joined: Wed Jan 18, 2012 6:25 am
Location: Netherlands
Contact:

Re: Unofficial LMDE KDE Live DVD: UP4 / 201208

Post by Schoelje »

My script should have run aticonfig --initial but obviously that went wrong.
Probably the path, /etc/X11/aticonfig, is not correct. Could you check that, please?

Run the command:

Code: Select all

which aticonfig
zerozero
Level 16
Level 16
Posts: 6477
Joined: Tue Jul 07, 2009 2:29 pm

Re: Unofficial LMDE KDE Live DVD: UP4 / 201208

Post by zerozero »

downloading it now 8) will try the "install drivers script" once it is installed tho i only have a fairly common nvidia card

Code: Select all

zerozero@deb-kde ~ $ inxi -Gx
Graphics:  Card: NVIDIA G92 [GeForce GTS 250] bus-ID: 01:00.0 X.Org: 1.12.3 driver: nvidia Resolution: 1440x900@59.9hz 
           GLX Renderer: GeForce GTS 250/PCIe/SSE2 GLX Version: 3.3.0 NVIDIA 302.17 Direct Rendering: Yes
Image

[ bliss of ignorance ]
Schoelje
Level 5
Level 5
Posts: 784
Joined: Wed Jan 18, 2012 6:25 am
Location: Netherlands
Contact:

Re: Unofficial LMDE KDE Live DVD: UP4 / 201208

Post by Schoelje »

Just out of curiosity...is there a list with common hardware of which the drivers need to be installed after OS installation?
I'd like to collect all kinds of installation scripts.
I was thinking of misusing mintwelcome to become a hardware detection and driver installation program...
zerozero
Level 16
Level 16
Posts: 6477
Joined: Tue Jul 07, 2009 2:29 pm

Re: Unofficial LMDE KDE Live DVD: UP4 / 201208

Post by zerozero »

:wink: that would rock 8)
apart from the always mentioned nvidia and ati/amd i can only think of broadcom (maybe because is the only one that affects me personally)
for that i use this howto (old but still effective) or this script
Image

[ bliss of ignorance ]
arjay
Level 4
Level 4
Posts: 201
Joined: Sat Mar 17, 2007 9:34 am

Re: Unofficial LMDE KDE Live DVD: UP4 / 201208

Post by arjay »

Schoelje

I just did a clean install of the up5 rc1. I'll give you some feedback shortly.

But, for now, just to let you know I ran you bash script for nvidia drivers and it worked just fine. My card is an Nvidia GT440. Nice touch that nvidia-settings was also installed. It correctly identified my dual monitor setup including the fact that one monitor is 1280 and the other 1980. The xorg.conf file is good.

Just one thing to think about for you. I suppose that anyone trying rc1 will be reasonably experienced and know that you first have to make the bash script executable before trying to run it (chmod +x [filename] etc). maybe when popularity increases a short "guide" to making and running the script might be helpful?

Great job with the script - I would normally run sgfxi so thanks for the warning that it might not run OK.
slashw
Level 1
Level 1
Posts: 6
Joined: Fri May 07, 2010 7:58 am

Re: Unofficial LMDE KDE Live DVD: UP4 / 201208

Post by slashw »

Schoelje wrote:My script should have run aticonfig --initial but obviously that went wrong.
Probably the path, /etc/X11/aticonfig, is not correct. Could you check that, please?

Run the command:

Code: Select all

which aticonfig
It says : /usr/bin/aticonfig

Another thing , after 15 min. my screen-save is running , when it is running there is no possibility to get out of it. My whole system is freezing.
A hard reset is the only way to come out of it.

edit: the second time it went in screen-save mode it was no problem to get out of it , strange.......
Schoelje
Level 5
Level 5
Posts: 784
Joined: Wed Jan 18, 2012 6:25 am
Location: Netherlands
Contact:

Re: Unofficial LMDE KDE Live DVD: UP4 / 201208

Post by Schoelje »

@slashw
I'm sorry I can't help you there but googling on "debian ati freeze" returns a lot of hits.
Did you try that?
Schoelje
Level 5
Level 5
Posts: 784
Joined: Wed Jan 18, 2012 6:25 am
Location: Netherlands
Contact:

Re: Unofficial LMDE KDE Live DVD: UP4 / 201208

Post by Schoelje »

I've created a new thread regarding the driver post-installs:
http://forums.linuxmint.com/viewtopic.p ... 1&t=110681

@zerozero
I adapted a script I've been using for my Broadcom network controller. I've included that in the new thread.
slashw
Level 1
Level 1
Posts: 6
Joined: Fri May 07, 2010 7:58 am

Re: Unofficial LMDE KDE Live DVD: UP4 / 201208

Post by slashw »

Schoelje wrote:@slashw
I'm sorry I can't help you there but googling on "debian ati freeze" returns a lot of hits.
Did you try that?
@schoelje , no problem its not a big deal to me ,
I probable f.... up my system by trying to run wine ( by Kai wasserbach ).

With the upcoming LMDE KDE UP5 i will do a clean install again.
zerozero
Level 16
Level 16
Posts: 6477
Joined: Tue Jul 07, 2009 2:29 pm

Re: Unofficial LMDE KDE Live DVD: UP4 / 201208

Post by zerozero »

8)
with my card it "justworks"
right after installation i started with this
Image

Code: Select all

zerozero@test ~ $ inxi -Gx
Graphics:  Card NVIDIA G92 [GeForce GTS 250] X.Org 1.12.1.902 Res: 1024x768@61.0hz 
           GLX Renderer Gallium 0.4 on llvmpipe (LLVM 0x209) GLX Version 2.1 Mesa 8.0.3 Direct Rendering Yes
wrong resolution and gallium instead of the nvidia driver (the second one is obvious but i don't remember having before resolution problems)
anyway i knew that it was fixable :D

checked for updates but nada

Code: Select all

zerozero@test ~ $ apt update && apt dist-upgrade

We trust you have received the usual lecture from the local System
Administrator. It usually boils down to these three things:

    #1) Respect the privacy of others.
    #2) Think before you type.
    #3) With great power comes great responsibility.

[sudo] password for zerozero: 
Ign http://packages.linuxmint.com debian InRelease
Get:1 http://debian.linuxmint.com testing InRelease [199 kB]
Get:2 http://packages.linuxmint.com debian Release.gpg [197 B]
Get:3 http://packages.linuxmint.com debian Release [15.6 kB]       
Get:4 http://packages.linuxmint.com debian/main amd64 Packages [14.9 kB]
Get:5 http://packages.linuxmint.com debian/upstream amd64 Packages [8,656 B]   
Get:6 http://packages.linuxmint.com debian/import amd64 Packages [55.2 kB]     
Get:7 http://debian.linuxmint.com testing/updates InRelease [87.8 kB]          
Ign http://debian.linuxmint.com testing InRelease                              
Get:8 http://packages.linuxmint.com debian/incoming amd64 Packages [8,999 B]
Hit http://debian.linuxmint.com testing/main amd64 Packages/DiffIndex
Hit http://debian.linuxmint.com testing/contrib amd64 Packages/DiffIndex       
Hit http://debian.linuxmint.com testing/non-free amd64 Packages/DiffIndex      
Hit http://debian.linuxmint.com testing/contrib Translation-en/DiffIndex       
Hit http://debian.linuxmint.com testing/main Translation-en/DiffIndex          
Hit http://debian.linuxmint.com testing/non-free Translation-en/DiffIndex      
Hit http://debian.linuxmint.com testing/updates/main amd64 Packages            
Hit http://debian.linuxmint.com testing/updates/contrib amd64 Packages         
Hit http://debian.linuxmint.com testing/updates/non-free amd64 Packages        
Hit http://debian.linuxmint.com testing Release.gpg                            
Hit http://debian.linuxmint.com testing Release                                
Hit http://debian.linuxmint.com testing/main amd64 Packages/DiffIndex          
Hit http://debian.linuxmint.com testing/non-free amd64 Packages/DiffIndex
Ign http://packages.linuxmint.com debian/import Translation-en_GB
Ign http://packages.linuxmint.com debian/import Translation-en
Ign http://packages.linuxmint.com debian/incoming Translation-en_GB
Ign http://packages.linuxmint.com debian/incoming Translation-en
Ign http://packages.linuxmint.com debian/main Translation-en_GB
Ign http://packages.linuxmint.com debian/main Translation-en
Ign http://packages.linuxmint.com debian/upstream Translation-en_GB
Ign http://packages.linuxmint.com debian/upstream Translation-en
Ign http://debian.linuxmint.com testing/updates/contrib Translation-en_GB
Ign http://debian.linuxmint.com testing/updates/contrib Translation-en
Ign http://debian.linuxmint.com testing/updates/main Translation-en_GB
Ign http://debian.linuxmint.com testing/updates/main Translation-en
Ign http://debian.linuxmint.com testing/updates/non-free Translation-en_GB
Ign http://debian.linuxmint.com testing/updates/non-free Translation-en
Ign http://debian.linuxmint.com testing/main Translation-en_GB
Ign http://debian.linuxmint.com testing/main Translation-en
Ign http://debian.linuxmint.com testing/non-free Translation-en_GB
Ign http://debian.linuxmint.com testing/non-free Translation-en
Fetched 390 kB in 18s (20.7 kB/s)
Reading package lists... Done
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
time now to test the install script

Code: Select all

zerozero@test ~ $ /home/zerozero/Documents/install.script 
Login as root.
Password: 

==================================================
This script will detect your card and install the appropriate drivers
==================================================

Found card: NVIDIA Corporation G92 [GeForce GTS 250] (rev a2)

Install nvidia-detect to detect the needed drivers
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following NEW packages will be installed:
  nvidia-detect
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 86.8 kB of archives.
After this operation, 111 kB of additional disk space will be used.
Get:1 http://debian.linuxmint.com/incoming/ testing/non-free nvidia-detect amd64 302.17-3 [86.8 kB]
Fetched 86.8 kB in 7s (10.9 kB/s)                                              
dpkg-preconfigure: unable to re-open stdin: No such file or directory
Selecting previously unselected package nvidia-detect.
(Reading database ... 137245 files and directories currently installed.)
Unpacking nvidia-detect (from .../nvidia-detect_302.17-3_amd64.deb) ...
Setting up nvidia-detect (302.17-3) ...

==================================================
Driver to install: nvidia-glx
==================================================
Installing Nvidia drivers...
==================================================
Reading package lists... Done
Building dependency tree       
Reading state information... Done
build-essential is already the newest version.
The following extra packages will be installed:
  glx-alternative-mesa glx-alternative-nvidia glx-diversions
  libgl1-nvidia-alternatives libgl1-nvidia-glx libglx-nvidia-alternatives
  libxnvctrl0 nvidia-alternative nvidia-installer-cleanup nvidia-kernel-common
  nvidia-support nvidia-vdpau-driver xserver-xorg-video-nvidia
Recommended packages:
  nvidia-kernel-302.17 libgl1-nvidia-glx-any
The following NEW packages will be installed:
  glx-alternative-mesa glx-alternative-nvidia glx-diversions
  libgl1-nvidia-alternatives libgl1-nvidia-glx libglx-nvidia-alternatives
  libxnvctrl0 nvidia-alternative nvidia-glx nvidia-installer-cleanup
  nvidia-kernel-common nvidia-kernel-dkms nvidia-settings nvidia-support
  nvidia-vdpau-driver nvidia-xconfig xserver-xorg-video-nvidia
0 upgraded, 17 newly installed, 0 to remove and 0 not upgraded.
Need to get 25.7 MB of archives.
After this operation, 84.5 MB of additional disk space will be used.
Do you want to continue [Y/n]? Y
Get:1 http://debian.linuxmint.com/incoming/ testing/contrib nvidia-installer-cleanup amd64 20120630+1 [17.7 kB]
Get:2 http://debian.linuxmint.com/incoming/ testing/contrib glx-diversions amd64 0.2.2 [9,474 B]
Get:3 http://debian.linuxmint.com/incoming/ testing/contrib glx-alternative-mesa amd64 0.2.2 [2,906 B]
Get:4 http://debian.linuxmint.com/incoming/ testing/contrib glx-alternative-nvidia amd64 0.2.2 [2,890 B]
Get:5 http://debian.linuxmint.com/incoming/ testing/non-free libgl1-nvidia-alternatives amd64 302.17-3 [83.0 kB]
Get:6 http://debian.linuxmint.com/incoming/ testing/non-free libglx-nvidia-alternatives amd64 302.17-3 [82.9 kB]
Get:7 http://debian.linuxmint.com/incoming/ testing/non-free nvidia-alternative amd64 302.17-3 [83.8 kB]
Get:8 http://debian.linuxmint.com/incoming/ testing/contrib nvidia-support amd64 20120630+1 [15.9 kB]
Get:9 http://debian.linuxmint.com/incoming/ testing/non-free libgl1-nvidia-glx amd64 302.17-3 [9,528 kB]
Get:10 http://debian.linuxmint.com/incoming/ testing/non-free xserver-xorg-video-nvidia amd64 302.17-3 [4,494 kB]
Get:11 http://debian.linuxmint.com/incoming/ testing/non-free nvidia-vdpau-driver amd64 302.17-3 [1,115 kB]
Get:12 http://debian.linuxmint.com/incoming/ testing/contrib nvidia-kernel-common amd64 20120630+1 [10.1 kB]
Get:13 http://debian.linuxmint.com/incoming/ testing/non-free nvidia-kernel-dkms amd64 302.17-3 [8,934 kB]
Get:14 http://debian.linuxmint.com/incoming/ testing/non-free nvidia-glx amd64 302.17-3 [362 kB]
Get:15 http://debian.linuxmint.com/incoming/ testing/contrib libxnvctrl0 amd64 302.17-2 [15.9 kB]
Get:16 http://debian.linuxmint.com/incoming/ testing/contrib nvidia-settings amd64 302.17-2 [830 kB]
Get:17 http://debian.linuxmint.com/incoming/ testing/contrib nvidia-xconfig amd64 302.17-2 [86.1 kB]
Fetched 25.7 MB in 3min 55s (109 kB/s)                                         
dpkg-preconfigure: unable to re-open stdin: No such file or directory
Selecting previously unselected package nvidia-installer-cleanup.
(Reading database ... 137260 files and directories currently installed.)
Unpacking nvidia-installer-cleanup (from .../nvidia-installer-cleanup_20120630+1_amd64.deb) ...
Setting up nvidia-installer-cleanup (20120630+1) ...
Selecting previously unselected package glx-diversions.
(Reading database ... 137267 files and directories currently installed.)
Unpacking glx-diversions (from .../glx-diversions_0.2.2_amd64.deb) ...
Selecting previously unselected package glx-alternative-mesa.
Unpacking glx-alternative-mesa (from .../glx-alternative-mesa_0.2.2_amd64.deb) ...
Selecting previously unselected package glx-alternative-nvidia.
Unpacking glx-alternative-nvidia (from .../glx-alternative-nvidia_0.2.2_amd64.deb) ...
Selecting previously unselected package libgl1-nvidia-alternatives.
Unpacking libgl1-nvidia-alternatives (from .../libgl1-nvidia-alternatives_302.17-3_amd64.deb) ...
Selecting previously unselected package libglx-nvidia-alternatives.
Unpacking libglx-nvidia-alternatives (from .../libglx-nvidia-alternatives_302.17-3_amd64.deb) ...
Selecting previously unselected package nvidia-alternative.
Unpacking nvidia-alternative (from .../nvidia-alternative_302.17-3_amd64.deb) ...
Selecting previously unselected package nvidia-support.
Unpacking nvidia-support (from .../nvidia-support_20120630+1_amd64.deb) ...
Selecting previously unselected package libgl1-nvidia-glx:amd64.
Unpacking libgl1-nvidia-glx:amd64 (from .../libgl1-nvidia-glx_302.17-3_amd64.deb) ...
Selecting previously unselected package xserver-xorg-video-nvidia.
Unpacking xserver-xorg-video-nvidia (from .../xserver-xorg-video-nvidia_302.17-3_amd64.deb) ...
Selecting previously unselected package nvidia-vdpau-driver:amd64.
Unpacking nvidia-vdpau-driver:amd64 (from .../nvidia-vdpau-driver_302.17-3_amd64.deb) ...
Selecting previously unselected package nvidia-kernel-common.
Unpacking nvidia-kernel-common (from .../nvidia-kernel-common_20120630+1_amd64.deb) ...
Selecting previously unselected package nvidia-kernel-dkms.
Unpacking nvidia-kernel-dkms (from .../nvidia-kernel-dkms_302.17-3_amd64.deb) ...
Selecting previously unselected package nvidia-glx.
Unpacking nvidia-glx (from .../nvidia-glx_302.17-3_amd64.deb) ...
Selecting previously unselected package libxnvctrl0.
Unpacking libxnvctrl0 (from .../libxnvctrl0_302.17-2_amd64.deb) ...
Selecting previously unselected package nvidia-settings.
Unpacking nvidia-settings (from .../nvidia-settings_302.17-2_amd64.deb) ...
Selecting previously unselected package nvidia-xconfig.
Unpacking nvidia-xconfig (from .../nvidia-xconfig_302.17-2_amd64.deb) ...
Processing triggers for man-db ...
Processing triggers for menu ...
Processing triggers for desktop-file-utils ...
Setting up glx-diversions (0.2.2) ...
No diversion 'diversion of /usr/lib/debug/usr/lib/xorg/modules/extensions/libglx.so to /usr/lib/mesa-diverted/libglx.so.dbg by glx-diversions', none removed.
No diversion 'diversion of /usr/lib/xorg/modules/extensions/libglx.so to /usr/lib/mesa-diverted/libglx.so by glx-diversions', none removed.
Adding 'diversion of /usr/lib/libGL.so to /usr/lib/mesa-diverted/libGL.so by glx-diversions'
Adding 'diversion of /usr/lib/i386-linux-gnu/libGL.so to /usr/lib/mesa-diverted/i386-linux-gnu/libGL.so by glx-diversions'
Adding 'diversion of /usr/lib/x86_64-linux-gnu/libGL.so to /usr/lib/mesa-diverted/x86_64-linux-gnu/libGL.so by glx-diversions'
Adding 'diversion of /usr/lib/libGL.so.1 to /usr/lib/mesa-diverted/libGL.so.1 by glx-diversions'
Adding 'diversion of /usr/lib/i386-linux-gnu/libGL.so.1 to /usr/lib/mesa-diverted/i386-linux-gnu/libGL.so.1 by glx-diversions'
Adding 'diversion of /usr/lib/x86_64-linux-gnu/libGL.so.1 to /usr/lib/mesa-diverted/x86_64-linux-gnu/libGL.so.1 by glx-diversions'
Adding 'diversion of /usr/lib/libGL.so.1.2 to /usr/lib/mesa-diverted/libGL.so.1.2 by glx-diversions'
Adding 'diversion of /usr/lib/i386-linux-gnu/libGL.so.1.2 to /usr/lib/mesa-diverted/i386-linux-gnu/libGL.so.1.2 by glx-diversions'
Adding 'diversion of /usr/lib/x86_64-linux-gnu/libGL.so.1.2 to /usr/lib/mesa-diverted/x86_64-linux-gnu/libGL.so.1.2 by glx-diversions'
Setting up glx-alternative-mesa (0.2.2) ...
update-alternatives: using /usr/lib/mesa-diverted to provide /usr/lib/glx (glx) in auto mode.
update-alternatives: using /usr/lib/mesa-diverted to provide /usr/lib/mesa-diverted/libGL.so-master (libGL.so-master) in auto mode.
Setting up glx-alternative-nvidia (0.2.2) ...
Setting up libgl1-nvidia-alternatives (302.17-3) ...
Setting up libglx-nvidia-alternatives (302.17-3) ...
Setting up nvidia-alternative (302.17-3) ...
Setting up nvidia-support (20120630+1) ...
Setting up nvidia-vdpau-driver:amd64 (302.17-3) ...
Setting up nvidia-kernel-common (20120630+1) ...
update-initramfs: deferring update (trigger activated)
Setting up nvidia-kernel-dkms (302.17-3) ...
Loading new nvidia-302.17 DKMS files...
First Installation: checking all kernels...
Building only for 3.2.0-3-amd64
Building initial module for 3.2.0-3-amd64
Done.

nvidia:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.2.0-3-amd64/updates/dkms/

depmod.....

DKMS: install completed.
Setting up libxnvctrl0 (302.17-2) ...
Setting up nvidia-settings (302.17-2) ...
Setting up nvidia-xconfig (302.17-2) ...
Processing triggers for nvidia-alternative ...
update-alternatives: using /usr/lib/nvidia/current to provide /usr/lib/nvidia/nvidia (nvidia) in auto mode.
Processing triggers for glx-alternative-nvidia ...
update-alternatives: using /usr/lib/nvidia to provide /usr/lib/glx (glx) in auto mode.
Setting up libgl1-nvidia-glx:amd64 (302.17-3) ...
Setting up xserver-xorg-video-nvidia (302.17-3) ...
Setting up nvidia-glx (302.17-3) ...
No diversion 'diversion of /usr/lib/xorg/modules/extensions/libGLcore.so to /usr/lib/nvidia/libGLcore.so.xlibmesa by nvidia-glx', none removed.
No diversion 'diversion of /usr/lib/xorg/modules/extensions/libGLcore.a to /usr/lib/nvidia/libGLcore.a.xlibmesa by nvidia-glx', none removed.
No diversion 'diversion of /usr/lib/xorg/modules/extensions/libglx.a to /usr/lib/nvidia/libglx.a.xlibmesa by nvidia-glx', none removed.
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-3.2.0-3-amd64
Processing triggers for menu ...
Processing triggers for glx-alternative-mesa ...

==================================================
Configure Nvidia and blacklist Nouveau
==================================================

WARNING: Unable to locate/open X configuration file.

New X configuration file written to '/etc/X11/xorg.conf'


==================================================
It is necessary to reboot to apply the changes.
==================================================
Reboot now [y/n]? (default = n)

i give you the full output just in case
after the reboot
Image
much better 8) :D
Image

[ bliss of ignorance ]
User avatar
tdockery97
Level 14
Level 14
Posts: 5060
Joined: Sun Jan 10, 2010 8:54 am
Location: Mt. Angel, Oregon

Re: Unofficial LMDE KDE Live DVD: UP4 / 201208

Post by tdockery97 »

Schoelje: Sorry to report that installing the ATI proprietary driver was a complete and utter failure for me on this new 201208 release candidate. I know it has a lot to do with the fact that with the 12.6 driver release ATI has dropped support of the Radeon HD 4200. However, they have come out with a 12.6 legacy driver for the 4000 series that seems to work well with Ubuntu 12.04 (and therefore Mint 13) and also works with Debian Squeeze-based distros. It just doesn't seem to work for Debian Testing.

I tried every method, including building the driver package, but it still failed to install correctly.
Mint Cinnamon 20
Schoelje
Level 5
Level 5
Posts: 784
Joined: Wed Jan 18, 2012 6:25 am
Location: Netherlands
Contact:

Re: Unofficial LMDE KDE Live DVD: UP4 / 201208

Post by Schoelje »

@tdockery97
Sorry to hear that.
Do I understand correctly that you didn't have problems on the UP4 version?
And if so, what did you have to do to get the drivers for your card working?

You could post your answer in a new thread I just started about this subject: http://forums.linuxmint.com/viewtopic.p ... 1&t=110681

[EDIT]
In this Debian bug report (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=671320), posted on 02 Jun 2012, I read the following:
New upstream beta release.
- Support for RadeonHD older than 5xxx are dropped!
Namely the following series have been removed:
- RadeonHD 2000
- RadeonHD 3000
- RadeonHD 4000
So we close bug reports where only these older ASICs are involved. Users
affected by this should switch to the free radeon driver.
eric71
Level 1
Level 1
Posts: 9
Joined: Tue May 18, 2010 3:07 pm

Re: Unofficial LMDE KDE Live DVD: UP4 / 201208

Post by eric71 »

I played with UP5_RC1 last night with a unetbootin live usb and installed. One odd thing was running live, I couldn't connect to my wireless via the networkmanager plasma thingy. It complained I did not have permission. After installing (which went perfectly) there are no permissions issues. I love the fact that akonadi isn't running by default. I'm also testing pclinuxos, and whatever I do (disabled all sorts of krunner and calender related stuff) there's always at least 40 or 50 megs of memory going to akonadi and mysql. I also like your app selections (i.e. only vlc and npapi-vlc, all you really need). Thanks so much for working on this - I was excited last year with the promise of a LMDE based Mint KDE, and crushed when it went back to Ubuntu. The excitement is back.
Schoelje
Level 5
Level 5
Posts: 784
Joined: Wed Jan 18, 2012 6:25 am
Location: Netherlands
Contact:

Re: Unofficial LMDE KDE Live DVD: UP4 / 201208

Post by Schoelje »

Nice one, erik71! You just found a bug I overlooked.
I'm looking into it now, but it's going to be difficult because it's only affecting the live environment...
User avatar
Evil-K
Level 2
Level 2
Posts: 76
Joined: Sun Jul 10, 2011 10:27 pm
Location: Hermitage, TN
Contact:

Re: Unofficial LMDE KDE Live DVD: UP4 / 201208

Post by Evil-K »

@Schoelje:

I used a risky method of getting WINE, namely by setting up the WINE Ubuntu Precise ppa in my repos. I will say that, so far, there haven't been any breakages, borkages, or otherwise bad thingages happening.

I'm running the 32-bit version, though, since I've only got 3 GB of RAM so there's really no point of using a 64-bit kernel.
"Many people are so ungrateful to be alive, but not you... not anymore."
-Jigsaw

"...and I said 'Oatmeal?! Are you crazy?!"
-Pinkamena Diane Pie
User avatar
tdockery97
Level 14
Level 14
Posts: 5060
Joined: Sun Jan 10, 2010 8:54 am
Location: Mt. Angel, Oregon

Re: Unofficial LMDE KDE Live DVD: UP4 / 201208

Post by tdockery97 »

@Schoelje: The default open-source Gallium driver works OK, so I'm not going to fret over installing the proprietary driver for now.
Mint Cinnamon 20
Schoelje
Level 5
Level 5
Posts: 784
Joined: Wed Jan 18, 2012 6:25 am
Location: Netherlands
Contact:

Re: Unofficial LMDE KDE Live DVD: UP4 / 201208

Post by Schoelje »

I've been working hard on the next UP5 release.
With KDE 4.8.4 came new features...and new bugs. Most of them were resolved for which I created several (six by now) custom deb packages to ensure that future updates will not pose any problems. Clem decided that grub didn't need a custom background anymore, so I took the liberty to integrate grub into the current LMDE KDE theme.

Bugs - Live 32-bit
  1. There is no shut down or restart in Kickoff menu.
    I've sent an e-mail about this bug to kde-develop but it first needs to be reviewed by the moderator.
    A workaround: shut down button in favorites menu.
    Once installed, all buttons are available again.
  2. Adding a wireless connection in Networkmanager results in the following error message:
    Error adding connections: Insufficient privileges
    I filed a bug at bugzilla: https://bugzilla.gnome.org/show_bug.cgi?id=682606
    After installation you can easily add a new wireless connection.
    I could not confirm this bug on the 64-bit LMDE KDE: I haven't got a 64-bit laptop to test on...
Tech talk
Handling the desktop, traditionally was done by overriding the Debian scripts with custom scripts. This approach did not work anymore with this new version of KDE so I had to recode the scripts that handled the desktop creation for new users. In stead of overriding I choose to Mintify the default Debian desktop. Even when all fails you'll have a perfectly good desktop but it won't look Minty.

As you might know, I created some scripts to simplify the installation of Nvidia, ATI or Broadcom drivers. I started a separate thread (http://forums.linuxmint.com/viewtopic.p ... 1&p=621532) for this but it didn't get the attention I had hoped for. In the next version you can simply run "driverchk" and the scripts will install the appropriate drivers for your hardware. When these scripts are thoroughly tested, I plan to integrate them into mintwelcome.

Another little project of mine is a Plymouth Manager for Debian. I'm at 80% now and I will pick this up again after UP5.

For those that would like to upgrade their current LMDE KDE to UP5: the custom LMDE deb packages will be available when UP5 goes official and I will accompany them with a script for a smooth upgrade.

Has anybody got a clue when UP5 will go official?
zerozero
Level 16
Level 16
Posts: 6477
Joined: Tue Jul 07, 2009 2:29 pm

Re: Unofficial LMDE KDE Live DVD: UP4 / 201208

Post by zerozero »

Schoelje wrote: Has anybody got a clue when UP5 will go official?
In LMDE, Update Pack 5 reached “incoming” and should hit “latest” by the end of August. The mirror strategy was changed to face the upcoming demand in bandwidth and new servers will be purchased or rented by our project to make sure the release goes as smooth as possible. from here
Image

[ bliss of ignorance ]
Locked

Return to “Chat about Linux”